;InnoSetupVersion=5.2.3

[Setup]
AppName=Efficient Password Manager
AppVerName=Efficient Password Manager 1.55
AppId=Efficient Password Manager
AppPublisher=Efficient Software
AppPublisherURL=http://www.efficientpasswordmanager.com
AppSupportURL=http://www.efficientpasswordmanager.com
AppUpdatesURL=http://www.efficientpasswordmanager.com
DefaultDirName={pf}\Efficient Password Manager
DefaultGroupName=Efficient Password Manager
OutputBaseFilename=in
Compression=lzma
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\EfficientPasswordManager.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Language\English\EfficientPasswordManager.chm"; DestDir: "{app}\Language\English"; Flags: ignoreversion 
Source: "{app}\Image\Logo.jpg"; DestDir: "{app}\Image"; Flags: ignoreversion 
Source: "{app}\Report\ReportTemplate.htm"; DestDir: "{app}\Report"; Flags: ignoreversion 
Source: "{app}\Language\English.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\English.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Bulgarian.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Bulgarian.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Chinese_Simpl.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Chinese_Simpl.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Chinese_Trad.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Chinese_Trad.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Croatian.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Croatian.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Czech.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Czech.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Farsi.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Farsi.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Finnish.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Finnish.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\French.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\French.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\German.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\German.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Italian.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Italian.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Norwegian.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Norwegian.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Polish.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Polish.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\PortugueseBR.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\PortugueseBR.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Russian.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Russian.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Spanish.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Spanish.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Swedish.lng"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\Swedish.tip"; DestDir: "{app}\Language"; Flags: ignoreversion 
Source: "{app}\Language\English\license.rtf"; DestDir: "{app}\Language\English"; Flags: ignoreversion 
Source: "{app}\Language\English\Local.ini"; DestDir: "{app}\Language\English"; Flags: ignoreversion 
Source: "{app}\Language\English\HelpInfo.ini"; DestDir: "{app}\Language\English"; Flags: ignoreversion 
Source: "{app}\Language\Chinese_Simpl\license.rtf"; DestDir: "{app}\Language\Chinese_Simpl"; Flags: ignoreversion 
Source: "{app}\Language\Chinese_Simpl\Local.ini"; DestDir: "{app}\Language\Chinese_Simpl"; Flags: ignoreversion 
Source: "{app}\Links.ini"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{userappdata}\Efficient Password Manager\News\2009030602.xml"; DestDir: "{userappdata}\Efficient Password Manager\News"; Flags: ignoreversion 
Source: "{userappdata}\Efficient Password Manager\News\News.ini"; DestDir: "{userappdata}\Efficient Password Manager\News"; Flags: ignoreversion 

[Registry]
Root: HKCR; Subkey: ".epm"; ValueType: String; ValueData: "EfficientPasswordManagerFile"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "EfficientPasswordManagerFile"; ValueType: String; ValueData: "Efficient Password Manager File"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "EfficientPasswordManagerFile\DefaultIcon"; ValueType: String; ValueData: "{app}\EfficientPasswordManager.exe,0"; 
Root: HKCR; Subkey: "EfficientPasswordManagerFile\shell\open\command"; ValueType: String; ValueData: """{app}\EfficientPasswordManager.exe"" %1"; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Run"; ValueName: "EfficientPasswordManager"; ValueType: String; Flags: uninsdeletevalue dontcreatekey 

[INI]
FileName: "{app}\EfficientPasswordManager.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.efficientpasswordmanager.com"; 

[Run]
Filename: "{app}\EfficientPasswordManager.exe"; Description: "Launch Efficient Password Manager"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Efficient Password Manager"; Filename: "{app}\EfficientPasswordManager.exe"; 
Name: "{group}\Efficient Password Manager Help"; Filename: "{app}\Language\English\EfficientPasswordManager.chm"; 
Name: "{group}\Efficient Password Manager Home Page"; Filename: "{app}\EfficientPasswordManager.url"; 
Name: "{group}\Uninstall Efficient Password Manager"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Efficient Password Manager"; Filename: "{app}\EfficientPasswordManager.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Efficient Password Manager"; Filename: "{app}\EfficientPasswordManager.exe"; Tasks: quicklaunchicon; 
Name: "{userstartup}\Efficient Password Manager"; Filename: "{app}\EfficientPasswordManager.exe"; Parameters: "/startup"; Tasks: runonwindowsstartup; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 
Name: "runonwindowsstartup"; Description: "&Run Efficient Password Manager at Windows startup"; GroupDescription: "Other task:"; 

[UninstallDelete]
Type: files; Name: "{app}\EfficientPasswordManager.url"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
